Subject: bug#66649: 29.1; `project-remember-projects-under' behavior doesn't match its doc

From: Dmitry Gutov <[email-masked]>
Date: Thu, 2 Nov 2023 00:39:52 +0200

On 01/11/2023 23:36, Philip Kaludercic wrote:
>> If the performance still looks okay to you, I have no objections. Just
>> remove that last argument, and it's good to install.
> I'd say that Damien can try it out and report if it works well enough.

Let's wait, sure.

> I worry that the files returned by `directory-files-recursively' might
> slow down the function considerably.  Perhaps it might be better to
> write a little function just for project.el to only generate a list of
> directories.

It might, or it might not: the implementation of 'project-find-dir' is 
pretty unoptimized in this regard, and yet I'm still waiting for anyone 
to complain.